org.keycloak.models.sessions.infinispan.stream

## Class UserSessionPredicate.ExternalizerImpl

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.stream.UserSessionPredicate.ExternalizerImpl

- All Implemented Interfaces:
    Serializable, org.infinispan.commons.marshall.Externalizer<UserSessionPredicate>
  Enclosing class:
    UserSessionPredicate

      public static class UserSessionPredicate.ExternalizerImpl
      extends Object
      implements org.infinispan.commons.marshall.Externalizer<UserSessionPredicate>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExternalizerImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UserSessionPredicate` | `readObject(ObjectInput input)`
    `UserSessionPredicate` | `readObjectVersion1(ObjectInput input)`
    `UserSessionPredicate` | `readObjectVersion2(ObjectInput input)`
    `void` | `writeObject(ObjectOutput output, UserSessionPredicate obj)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExternalizerImpl

          public ExternalizerImpl()

  - ### Method Detail

    - #### writeObject

          public void writeObject(ObjectOutput output,
                                  UserSessionPredicate obj)
                           throws IOException

      Specified by:
        `writeObject` in interface `org.infinispan.commons.marshall.Externalizer<UserSessionPredicate>`
      Throws:
        `IOException`

    - #### readObject

          public UserSessionPredicate readObject(ObjectInput input)
                                          throws IOException,
                                                 ClassNotFoundException

      Specified by:
        `readObject` in interface `org.infinispan.commons.marshall.Externalizer<UserSessionPredicate>`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readObjectVersion1

          public UserSessionPredicate readObjectVersion1(ObjectInput input)
                                                  throws IOException,
                                                         ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### readObjectVersion2

          public UserSessionPredicate readObjectVersion2(ObjectInput input)
                                                  throws IOException,
                                                         ClassNotFoundException

      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2021 JBoss by Red Hat. All rights reserved.